Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyRootDocBuilder

- org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

-     public class GroovyRootDocBuilder
      extends Object

  Builds a SimpleGroovyRootDoc from source files by dispatching each file to either the Groovy AST visitor or the Java parser.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)` deprecated: The `tool` parameter is unused; use GroovyRootDocBuilder(String[], List, Properties) instead.
    `GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)` Creates a builder for the given source paths, link arguments, and generation properties.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `buildTree(List<String> filenames)` Parses all given source files and populates the root doc.
    `` | `public int` | `getErrorCount()` Returns the number of source files that failed to parse.
    `` | `public GroovyRootDoc` | `getRootDoc()` Resolves inter-class references and returns the completed root doc.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### @Deprecated
      public GroovyRootDocBuilder(GroovyDocTool tool, String[] sourcepaths, List<LinkArgument> links, Properties properties)

      deprecated:
        The `tool` parameter is unused; use GroovyRootDocBuilder(String[], List, Properties) instead.

    - #### public GroovyRootDocBuilder(String[] sourcepaths, List<LinkArgument> links, Properties properties)

      Creates a builder for the given source paths, link arguments, and generation properties.

  - ### Method Detail

    - #### public void buildTree(List<String> filenames)

      Parses all given source files and populates the root doc.

      throws:
        IOException if a file cannot be read
      Parameters:
        `filenames` - source file paths to process

    - #### public int getErrorCount()

      Returns the number of source files that failed to parse.

      Since:
        6.0.0

    - #### public GroovyRootDoc getRootDoc()

      Resolves inter-class references and returns the completed root doc.